Bug 880993 - XML tags are improperly nested or incorrectly closed for volume top commands in some cases
XML tags are improperly nested or incorrectly closed for volume top commands...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Avra Sengupta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 06:03 EST by Timothy Asir
Modified: 2013-07-24 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:36:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Asir 2012-11-28 06:03:25 EST
The brick tags in the xml output of volume top commands are improperly nested or incorrectly closed when a brick does not contain any file(s)

Version: 3.4.0qa2

Sample results:

[root@dhcp159-18 vdsm.test6]# gluster volume top music2 open nfs --xml | xmllint --format -
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
  <volTop>
    <brickCount>2</brickCount>
    <topOp>1</topOp>
    <brick>
      <name>localhost</name>
      <members>0</members>
      <currentOpen>0</currentOpen>
      <maxOpen>1</maxOpen>
      <maxOpenTime>2012-11-28 05:09:19.576519</maxOpenTime>
      <brick>
        <name>10.16.159.17</name>
        <members>0</members>
        <currentOpen>0</currentOpen>
        <maxOpen>0</maxOpen>
        <maxOpenTime>N/A</maxOpenTime>
      </brick>
    </brick>
  </volTop>
</cliOutput>
Comment 1 Vijay Bellur 2012-12-03 23:42:21 EST
CHANGE: http://review.gluster.org/4262 (cli: fix incorrect xml output of brick tag.) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.